
#import "b4i_main.h"
#import "b4i_connect.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4I alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}

- (NSString*)  _application_background{
 //BA.debugLineNum = 108;BA.debugLine="Private Sub Application_Background";
 //BA.debugLineNum = 110;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
[self initializeStaticModules];
 //BA.debugLineNum = 40;BA.debugLine="Private Sub Application_Start (Nav As NavigationCo";
 //BA.debugLineNum = 44;BA.debugLine="NavControl = Nav";
self._navcontrol = _nav;
 //BA.debugLineNum = 47;BA.debugLine="Mainpage.Initialize(\"Mainpage\")";
[self._mainpage Initialize:self.bi :@"Mainpage"];
 //BA.debugLineNum = 48;BA.debugLine="Mainpage.RootPanel.LoadLayout(\"Mainpage\")";
[[self._mainpage RootPanel] LoadLayout:@"Mainpage" :self.bi];
 //BA.debugLineNum = 50;BA.debugLine="NavControl.NavigationBarVisible = True";
[self._navcontrol setNavigationBarVisible:[self.__c True]];
 //BA.debugLineNum = 51;BA.debugLine="NavControl.ShowPage(Mainpage)";
[self._navcontrol ShowPage:(UIViewController*)((self._mainpage).object)];
 //BA.debugLineNum = 52;BA.debugLine="NavControl.ToolBarVisible = True";
[self._navcontrol setToolBarVisible:[self.__c True]];
 //BA.debugLineNum = 59;BA.debugLine="Button1.Color = Colors.RGB(119,115,115)";
[self._button1 setColor:[[self.__c Colors] RGB:(int) (119) :(int) (115) :(int) (115)]];
 //BA.debugLineNum = 60;BA.debugLine="Button2.Color = Colors.RGB(119,115,115)";
[self._button2 setColor:[[self.__c Colors] RGB:(int) (119) :(int) (115) :(int) (115)]];
 //BA.debugLineNum = 61;BA.debugLine="Button3.Color = Colors.RGB(119,115,115)";
[self._button3 setColor:[[self.__c Colors] RGB:(int) (119) :(int) (115) :(int) (115)]];
 //BA.debugLineNum = 64;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _button1_click{
 //BA.debugLineNum = 81;BA.debugLine="Private Sub Button1_Click";
 //BA.debugLineNum = 82;BA.debugLine="DBvar = \"A\"";
self._dbvar = @"A";
 //BA.debugLineNum = 83;BA.debugLine="Connect.Show";
[self._connect _show];
 //BA.debugLineNum = 85;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _button2_click{
 //BA.debugLineNum = 87;BA.debugLine="Sub Button2_Click";
 //BA.debugLineNum = 89;BA.debugLine="DBvar = \"B\"";
self._dbvar = @"B";
 //BA.debugLineNum = 93;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _button3_click{
 //BA.debugLineNum = 94;BA.debugLine="Sub Button3_Click";
 //BA.debugLineNum = 95;BA.debugLine="DBvar = \"C\"";
self._dbvar = @"C";
 //BA.debugLineNum = 99;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_resize:(int) _width :(int) _height{
 //BA.debugLineNum = 102;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As I";
 //BA.debugLineNum = 104;BA.debugLine="End Sub";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];
[[b4i_connect new]initializeModule];

}
- (NSString*)  _process_globals{
self._connect=[b4i_connect new];
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 18;BA.debugLine="Public App As Application";
self._app = [B4IApplicationWrapper new];
 //BA.debugLineNum = 19;BA.debugLine="Public NavControl As NavigationController";
self._navcontrol = [B4INavigationControllerWrapper new];
 //BA.debugLineNum = 20;BA.debugLine="Public Mainpage As Page";
self._mainpage = [B4IPage new];
 //BA.debugLineNum = 21;BA.debugLine="Dim DBvar As String";
self._dbvar = @"";
 //BA.debugLineNum = 24;BA.debugLine="Private Button1 As Button";
self._button1 = [B4IButtonWrapper new];
 //BA.debugLineNum = 25;BA.debugLine="Private Button2 As Button";
self._button2 = [B4IButtonWrapper new];
 //BA.debugLineNum = 26;BA.debugLine="Private Button3 As Button";
self._button3 = [B4IButtonWrapper new];
 //BA.debugLineNum = 27;BA.debugLine="Private ImageView1 As ImageView";
self._imageview1 = [B4IImageViewWrapper new];
 //BA.debugLineNum = 28;BA.debugLine="Private Label1 As Label";
self._label1 = [B4ILabelWrapper new];
 //BA.debugLineNum = 29;BA.debugLine="Private Label2 As Label";
self._label2 = [B4ILabelWrapper new];
 //BA.debugLineNum = 30;BA.debugLine="Private Label3 As Label";
self._label3 = [B4ILabelWrapper new];
 //BA.debugLineNum = 31;BA.debugLine="Private Label4 As Label";
self._label4 = [B4ILabelWrapper new];
 //BA.debugLineNum = 32;BA.debugLine="Private Label5 As Label";
self._label5 = [B4ILabelWrapper new];
 //BA.debugLineNum = 33;BA.debugLine="Private Label6 As Label";
self._label6 = [B4ILabelWrapper new];
 //BA.debugLineNum = 38;BA.debugLine="End Sub";
return @"";
}
@end
